/*------------------------------------------------------------------------------
						SPLITSCREEN
------------------------------------------------------------------------------*/

float4 SplitScreenPass( float4 colorInput, float2 Tex )
{
	//Vertical 50/50 split
	#if SplitScreenMode == 1
		return (Tex.x < 0.5) ? tex2D(s0, Tex) : colorInput;
	#endif
	//Vertical 50/50 angled split
	#if SplitScreenMode == 2
	//Calculate the distance from center
		float distance = ((Tex.x - 3.0/8.0) + (Tex.y * 0.25));
		distance = saturate(distance - 0.25);
		return distance ? colorInput : tex2D(s0, Tex);
	#endif
  //Horizontal 50/50 split
  #if SplitScreenMode == 3
		return (Tex.y < 0.5) ? tex2D(s0, Tex) : colorInput;
  #endif
}